POST api/cleanroomapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

CleanRoomViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

cleanroom_type_id

globally unique identifier

Required

communication_server_id

globally unique identifier

Required

id

globally unique identifier

None.

local_id

integer

Range: inclusive between 0 and ∞

local_name

string

None.

name

string

Required

type_of_temperature

string

Required

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "cleanroom_type_id": "d1a7dce8-33f5-41ad-99f5-117fd941e6f4",
  "communication_server_id": "6602bdfa-892b-4e71-b026-ac9139ff99be",
  "id": "d2bce671-6e82-4735-8d36-eb81f8e39a41",
  "local_id": 1,
  "local_name": "sample string 3",
  "name": "sample string 4",
  "type_of_temperature": "sample string 5"
}

application/xml, text/xml

Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <cleanroom_type_id>d1a7dce8-33f5-41ad-99f5-117fd941e6f4</cleanroom_type_id>
  <communication_server_id>6602bdfa-892b-4e71-b026-ac9139ff99be</communication_server_id>
  <id>d2bce671-6e82-4735-8d36-eb81f8e39a41</id>
  <local_id>1</local_id>
  <local_name>sample string 3</local_name>
  <name>sample string 4</name>
  <type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"8bb68d72-ad6f-4c93-ab6b-fc1a07996e19"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">8bb68d72-ad6f-4c93-ab6b-fc1a07996e19</guid>